at-spi2-atk-2.14.1

Introduction to At-Spi2 Atk

The At-Spi2 Atk package contains a library that bridges ATK to At-Spi2 D-Bus service.

This package is known to build and work properly using an LFS-7.6 systemd platform.

Package Information

At-Spi2 Atk Dependencies

Required

at-spi2-core-2.14.1 and ATK-2.14.0

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/at-spi2-atk

Installation of At-Spi2 Atk

Install At-Spi2 Atk by running the following commands:

./configure --prefix=/usr &&
make

To test the results, issue: make check. An already active graphical session with bus address is necessary to run the tests.

Now, as the root user:

make install
[Note]

Note

If you installed the package to your system using a “DESTDIR” method, /usr/share/glib-2.0/schemas/gschemas.compiled was not updated/created. Create (or update) the file using the following command as the root user:

glib-compile-schemas /usr/share/glib-2.0/schemas

Contents

Installed Programs: None
Installed Libraries: libatk-bridge-2.0.so and /usr/lib/gtk-2.0/modules/libatk-bridge.so
Installed Directory: /usr/include/at-spi2-atk

Short Descriptions

libatk-bridge.so

is the Accessibility Toolkit GTK+ module.

libatk-bridge-2.0.so

Contains the common functions used by GTK+ Accessibility Toolkit Bridge.

Last updated on 2014-10-18 03:04:15 +0000